Bug 28597 - OPAC suggestions do not display news for logged in branch
Summary: OPAC suggestions do not display news for logged in branch
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 26630
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-18 13:09 UTC by Nick Clemens
Modified: 2021-08-02 21:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02


Attachments
Bug 28597: Fetch the logged in branchcode for OpacSuggestioninstructions (1.67 KB, patch)
2021-06-18 13:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28597: Fetch the logged in branchcode for OpacSuggestioninstructions (1.72 KB, patch)
2021-06-18 19:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 28597: Fetch the logged in branchcode for OpacSuggestioninstructions (1.82 KB, patch)
2021-07-02 12:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-06-18 13:09:21 UTC
The parameter 'branchcode' is never set
Comment 1 Nick Clemens 2021-06-18 13:12:25 UTC
Created attachment 122133 [details] [review]
Bug 28597: Fetch the logged in branchcode for OpacSuggestioninstructions

To test:
 1 - Set two news items with location 'OpacSuggestioninstructions'
 2 - One should be for all libraries
 3 - One should be for a specific library
 4 - Sign in to opac with user from the specific library
 5 - Add a suggestion
 6 - The instructions only show the all libraries item
 7 - Apply patch
 8 - Reload
 9 - All libraries and specific library items are shown
10 - Allow anonymous suggestions:  AnonSuggestions - Allow
11 - Sign out of opac
12 - Add a suggestion
13 - Only all librares news is visible
Comment 2 David Nind 2021-06-18 19:56:19 UTC
Created attachment 122178 [details] [review]
Bug 28597: Fetch the logged in branchcode for OpacSuggestioninstructions

To test:
 1 - Set two news items with location 'OpacSuggestioninstructions'
 2 - One should be for all libraries
 3 - One should be for a specific library
 4 - Sign in to opac with user from the specific library
 5 - Add a suggestion
 6 - The instructions only show the all libraries item
 7 - Apply patch
 8 - Reload
 9 - All libraries and specific library items are shown
10 - Allow anonymous suggestions:  AnonSuggestions - Allow
11 - Sign out of opac
12 - Add a suggestion
13 - Only all librares news is visible

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Marcel de Rooy 2021-07-02 12:21:43 UTC
Incidentally, stumbled over this one too this morning.
Bug 28650
Comment 4 Marcel de Rooy 2021-07-02 12:22:45 UTC
(In reply to Marcel de Rooy from comment #3)
> Incidentally, stumbled over this one too this morning.
> Bug 28650

And did the same thing on bug 27948 :)
Comment 5 Marcel de Rooy 2021-07-02 12:23:33 UTC
Created attachment 122548 [details] [review]
Bug 28597: Fetch the logged in branchcode for OpacSuggestioninstructions

To test:
 1 - Set two news items with location 'OpacSuggestioninstructions'
 2 - One should be for all libraries
 3 - One should be for a specific library
 4 - Sign in to opac with user from the specific library
 5 - Add a suggestion
 6 - The instructions only show the all libraries item
 7 - Apply patch
 8 - Reload
 9 - All libraries and specific library items are shown
10 - Allow anonymous suggestions:  AnonSuggestions - Allow
11 - Sign out of opac
12 - Add a suggestion
13 - Only all librares news is visible

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2021-07-06 09:06:16 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-07-09 17:55:42 UTC
Pushed to 21.05.x for 21.05.02
Comment 8 Fridolin Somers 2021-08-02 21:08:50 UTC
Depends on Bug 26630
Comment 9 Fridolin Somers 2021-08-02 21:09:24 UTC
Depends on Bug 26630 not in 20.11.x